Skip to main content
DELETE
/
rules
/
{ruleId}
Archive a transaction rule
curl --request DELETE \
  --url https://api.finta.io/v2/rules/{ruleId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.finta.io/v2/rules/{ruleId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.finta.io/v2/rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": "Missing or invalid Authorization header"
}
{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}
{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Per-minute rate limit exceeded (10 requests/min on Standard plan)."
}
}

Authorizations

Authorization
string
header
required

Finta API key from the dashboard (Bearer token).

Path Parameters

ruleId
string<uuid>
required

Transaction rule UUID

Response

Rule archived